Bug 882615 - SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n (In some cases useful info about processes that use\n the device is found by lsof(8) or fuser(1))')
SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n (In some c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:d64adb74ce0cd41c74dfdbcadf1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 04:13 EST by Witek Mozga
Modified: 2014-02-05 08:29 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:29:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda 18.37.2 anaconda-tb (305.50 KB, text/plain)
2012-12-14 05:19 EST, Kamil Páral
no flags Details

  None (edit)
Description Witek Mozga 2012-12-02 04:13:56 EST
Description of problem:
I booted Fedora XFCE 18 Beta via Live  USB. When I`m trying to run the installer this error happens

Version-Release number of selected component:
anaconda-18.29.2-1.fc18.i686

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.6-3.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/isys/__init__.py", line 152, in umount
:    rc = _isys.umount(what)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 656, in unmount
:    rc = isys.umount(self._mountpoint, removeDir = False)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 863, in teardown
:    return self.unmount(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 743, in _preTeardown
:    self.format.teardown()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 755, in teardown
:    if not self._preTeardown(recursive=recursive):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 3116, in findExistingInstallations
:    device.teardown(recursive=True)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 452, in reset
:    self.roots = findExistingInstallations(self.devicetree)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 139, in storageInitialize
:    storage.reset()
:  File "/usr/lib/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n        (In some cases useful info about processes that use\n         the device is found by lsof(8) or fuser(1))')
Comment 1 Chris Lumens 2012-12-03 15:09:39 EST
Do you remember what (if any) steps you took that led to this problem?
Comment 2 Witek Mozga 2012-12-03 16:32:12 EST
I downloaded Fedora Beta XFCE spin, created bootable USB with unetbootin, successfully booted into the graphical environment, then clicked on the installer icon to get the crash and this report.
Comment 3 Peque 2012-12-11 22:11:15 EST
I started the Fedora 18 installer. The bug report appeared at the first screen *language selection*.

Package: anaconda-18.29.2-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 4 Kamil Páral 2012-12-14 05:19:50 EST
Created attachment 663476 [details]
anaconda 18.37.2 anaconda-tb

I've just hit the same traceback. I wanted to do a kickstarted installation, instead I saw just black screen and found anaconda-tb in /tmp. Attaching. When I started the VM again with the same kickstart (and same disk contents I assume, unless my first attempt changed it), the installation worked fine.

Maybe some race condition?

anaconda 18.37.2
Comment 5 Witek Mozga 2012-12-15 04:08:51 EST
Tried today with Fedora-18-TC2-i686-Live-XFCE as liveUSB - the same result.
Comment 6 Wellington Poi 2012-12-18 10:46:53 EST
The error happens when initiating instalation of beta version. On the first screen.

Package: anaconda-18.29.2-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 7 jiri vanek 2013-01-11 06:31:29 EST
try to install from any livespin. In fce it appears imidietly, in gnome hell it  takes some clicking. I will provide more informations by email directly to  msivak after discussion.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 8 thomas meiner 2013-01-17 04:54:30 EST
I installed yesterday a few boxes with KDE-live-image 64bit on a usb-stick. Worked fine, until it came to the Thinkpad T420. There I got the exactly the same  error described here. The strange thing is, it worked (with the same stick) without any problems on a few HP-boxes and other Thinkpads. The setup on all boxes are similar. 

see also: http://www.forums.fedoraforum.org/showthread.php?t=287612
Comment 9 Tapani Björg 2013-01-17 12:01:50 EST
I tried to install KDE-livespin. Same error happened.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 10 ofer levi 2013-01-18 01:33:29 EST
I tried to install Fedora 18 xfce 64_x86

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 11 thomas meiner 2013-01-18 02:36:06 EST
It looks like #893892 describes the reason for the bug. The Thinkpad T420 comes with an internal UMTS-device. It's most likely this device stops anaconda. But the problem still isn't solved. The todays F18-images don’t work for boxes with wwan devices...

This bug is releted to #893892 and #895752
Comment 12 thomas meiner 2013-01-18 02:56:25 EST
It looks like #893892 describes the reason for the bug. The Thinkpad T420 comes with an internal UMTS-device. It's most likely this device stops anaconda. But the problem still isn't solved. The todays F18-images don’t work for boxes with wwan devices...

This bug is releted to #893892 and #895752
Comment 13 graf.drakul 2013-01-19 04:35:57 EST
i have the same problem using a R400 also with umts-device
Comment 14 Nicolas Silva 2013-01-30 07:02:59 EST
When starting the anaconda installer in a Fedor 18 live usb. Reproduces each time I start the installer.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 15 Nicolas Silva 2013-01-30 07:08:35 EST
I confirm that the crash happens systematically on my Lenovo T420. Is there a workaround?
Comment 16 Lukas Sembera 2013-03-05 14:56:31 EST
I'm unable to install Fedora XFCE from the USB stick.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 17 Lukas Sembera 2013-03-05 15:37:10 EST
It has been a while since last activity here... do you know how to get around this bug? I can't proceed with the installation.
Comment 18 portals 2013-03-12 17:09:21 EDT
Try system install.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 19 spital 2013-03-17 13:42:30 EDT
Lenovo X200, help found here : http://forums.fedoraforum.org/showthread.php?t=287612

switch of wifi helped.
Comment 20 Fedora End Of Life 2013-12-21 04:36:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 08:29:56 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.